Package org.bukkit.material

# Class PistonBaseMaterial

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.PistonBaseMaterial

All Implemented Interfaces:
  `Cloneable`, `Directional`, `Redstone`

@Deprecated public class PistonBaseMaterial extends MaterialData implements Directional, Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Material data for the piston base block

## Constructor Summary

Constructors
Constructor
Description
`PistonBaseMaterial(Material type)`
Deprecated.
`PistonBaseMaterial(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`PistonBaseMaterial`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`boolean`
`isSticky()`
Deprecated.
Checks if this piston base is sticky, and returns true if so
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`void`
`setPowered(boolean powered)`
Deprecated.
Sets the current state of this piston

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PistonBaseMaterial

public PistonBaseMaterial(Material type)
Deprecated.

### PistonBaseMaterial

@Deprecated public PistonBaseMaterial(Material type, byte data)
Deprecated.
Magic value
Constructs a PistonBaseMaterial.

Parameters:
  `type` - the material type to use
  `data` - the raw data value

## Method Details

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### isPowered

public boolean isPowered()
Deprecated.
Description copied from interface: `Redstone`
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### setPowered

public void setPowered(boolean powered)
Deprecated.
Sets the current state of this piston

Parameters:
  `powered` - true if the piston is extended & powered, or false

### isSticky

public boolean isSticky()
Deprecated.
Checks if this piston base is sticky, and returns true if so

Returns:
  true if this piston is "sticky", or false

### clone

public PistonBaseMaterial clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`